<template>
  <v-container>
    <!-- Mission Section -->
    <v-row class="mb-5">
      <v-col cols="12">
        <v-card class="elevation-0" flat>
          <v-img
              src="https://picsum.photos/800/400?random=1"
              class="white--text align-end"
              gradient="to bottom, rgba(0,0,0,0.1), rgba(0,0,0,0.5)"
              height="250px"
          >
            <v-card-title ><h1>Our Mission</h1></v-card-title>
          </v-img>
          <v-card-text>
            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed non risus. Suspendisse lectus tortor,
            dignissim sit amet, adipiscing nec, ultricies sed, dolor. Cras elementum ultrices diam.
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>

    <!-- Additional Sections with Images -->
    <v-row justify="space-between">
      <v-col cols="12" md="4">
        <v-card class="mx-auto" outlined>
          <v-img
              src="https://picsum.photos/500/300?random=2"
              height="200px"
          ></v-img>
          <v-card-title class="justify-center">Our Team</v-card-title>
          <v-card-text>
            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus lacinia odio vitae vestibulum.
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" md="4">
        <v-card class="mx-auto" outlined>
          <v-img
              src="https://picsum.photos/500/300?random=3"
              height="200px"
          ></v-img>
          <v-card-title class="justify-center">Our Values</v-card-title>
          <v-card-text>
            Phasellus eu turpis lorem. Nulla fermentum. Praesent sagittis elementum velit.
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" md="4">
        <v-card class="mx-auto" outlined>
          <v-img
              src="https://picsum.photos/500/300?random=4"
              height="200px"
          ></v-img>
          <v-card-title class="justify-center">Our Vision</v-card-title>
          <v-card-text>
            Fusce euismod consequat ante. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Pellentesque sed dolor.
            Aliquam congue fermentum nisl.
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>

    <!-- Detailed Description Section -->
    <v-row>
      <v-col cols="12">
        <v-card class="elevation-0" flat>
          <v-card-text>
            <v-row>
              <v-col cols="12" md="6">
                <v-img src="https://picsum.photos/500/300?random=5" height="300px"></v-img>
              </v-col>
              <v-col cols="12" md="6">
                <h3>A Closer Look at What We Do</h3>
                <p>
                  Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas in pulvinar neque. Nulla finibus lobortis pulvinar.
                  Duis libero justo, semper at tempus vel, ultrices in ligula. Nulla facilisi. Nullam vehicula nisi velit.
                  Mauris turpis nisl, molestie ut ipsum et, suscipit vehicula odio.
                </p>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>


<style scoped>
.v-img > .v-img__content {
  display: flex;
  align-items: end;
  padding: 8px;
}

.v-card-title {
  font-weight: bold;
  color: black;
}

.v-card-text {
  line-height: 1.6;
}

@media (max-width: 600px) {
  .v-img > .v-img__content {
    align-items: center;
    padding: 4px;
  }
}
</style>
